package com.zoniot.ccrc.commom.model;

import lombok.Getter;


@Getter
public enum ResultStatus {

    /**
     *返回状态
     */
    OK(0, "成功"),
    UNBOUND_WECHAT_ERROR(-2, "未绑定微信账号"),
    ERROR(-100, "失败"),
    VERIFICATION_CODE_ERROR(-101, "验证码错误"),
    VERIFICATION_ERROR(-102, "验证码错误"),
    USERNAME_NOT_FOUND_ERROR(-400, "您的手机号尚未注册，请注册后进行登录。"),
    ACCOUNT_LOCKED_ERROR(-401, "账户已被锁定"),
    CREDENTIALS_EXPIRED_ERROR(-402, "密码已过期"),
    ACCOUNT_EXPIRED_ERROR(-403, "账户已过期"),
    ACCOUNT_DISABLED_ERROR(-404, "账户已被禁用"),
    ACCESS_DENIED_ERROR(-405, "权限不足，无法访问"),
    ACCESS_UNVERIFIED_ERROR(-406, "身份未认证，请重新登录"),
    APPLICATION_ERROR(-900, "应用异常"),
    SERVICE_ERROR(-901, "业务逻辑验证错误"),
    SYSTEM_ERROR(-999, "系统错误");
    private final int status;

    private final String message;

    ResultStatus(int status, String message) {
        this.status = status;
        this.message = message;
    }
}
