package com.zoniot.ccrc.controller.common;

import com.zoniot.ccrc.commom.model.AjaxMessage;
import com.zoniot.ccrc.commom.model.ResultStatus;
import com.zoniot.ccrc.entity.File;
import com.zoniot.ccrc.service.FileService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@Controller
@ResponseBody
@RequestMapping("file")
@Api(tags = "文件")
public class FileController {
    private AjaxMessage ajaxMessage = new AjaxMessage();

    @Autowired
    private FileService fileService;

    @PostMapping
    @ApiOperation(value = "文件上传")
    public AjaxMessage<File> uploadFile(MultipartFile file) {

        File fileInfo = fileService.uploadFile(file);
        return new AjaxMessage<>(ResultStatus.OK,fileInfo);
    }
    
    @GetMapping("/{fileId}")
    @ApiOperation(value = "获取文件URL")
    public AjaxMessage<File>  getFileInfo(
    		@ApiParam(value = "文件ID", required = true) @PathVariable String fileId){
    	File fileInfo = fileService.getFileInfo(fileId);
        return new AjaxMessage<>(ResultStatus.OK,fileInfo);
    }
}
