package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.entity.UserRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserRoleMapper {
    int insert(@Param("userRole") UserRole userRole);

    int insertSelective(@Param("userRole") UserRole userRole);

    int insertList(@Param("userRoles") List<UserRole> userRoles);

    int updateByPrimaryKeySelective(@Param("userRole") UserRole userRole);

    int deleteByRoleId(@Param("roleId") Integer roleId, @Param("updateBy") String updateBy);

    int deleteByUserId(@Param("userId") Integer userId, @Param("updateBy") String updateBy);

    int deleteSiteUser(@Param("siteId") Integer siteId, @Param("userId") Integer userId);

    int deleteBySiteIdAndUserId(@Param("siteId") Integer siteId, @Param("userId") Integer userId, @Param("updateBy") String updateBy);

    int findByRoleId(@Param("roleId") Integer roleId);

    List<String> findUserByRole(@Param("roleId") Integer roleId);

    List<Integer> findUserByRoles(@Param("roleIds") Integer[] roleIds);

    int batchDeleteByUserId(@Param("userIds") List<Integer> userIds, @Param("username") String username);

    int deleteBySiteIdAndUserIds(@Param("siteId") Integer siteId, @Param("userIds") List<Integer> userIds);
}
