package com.zoniot.ccrc.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;

import com.zoniot.ccrc.entity.ClientUser;
import com.zoniot.ccrc.entity.CustomerWaterStage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.List;

/**
 * @program: water-query
 * @description: 客户信息描述
 * @author: Yangyang.Wang
 * @create: 2020-04-26 14:43
 **/
@Data
public class ClientUserDto extends ClientUser {
    @ApiModelProperty(value = "本月用水量")
    private BigDecimal useAmount;
    private String accountnumber;
    @JsonIgnore
    @ApiModelProperty(value = "用水性质ID")
    private BigInteger waterpropertyid;
    @ApiModelProperty(value = "阶梯类型(0 不启用 1 月阶梯  2 年阶梯)")
    private  Integer laddertype;
    @ApiModelProperty(value = "阶梯级别(0 不启用 1 一阶  2 二阶 3 3阶 4 4阶)")
    private  Integer ladderlevel;
    private  String laddertypename;
    private  String  ladderlevelname;
    @JsonIgnore
    private  Double availableamount1;
    @JsonIgnore
    private  Double availableamount2;
    @JsonIgnore
    private  Double availableamount3;
    @JsonIgnore
    private  Double availableamount4;
    @JsonIgnore
    private  Double availablel1;
    @JsonIgnore
    private  Double availablel2;
    @JsonIgnore
    private  Double availablel3;
    @JsonIgnore
    private  Double availablel4;



    @ApiModelProperty(value = "用水阶段")
    private List<CustomerWaterStage> waterStages;
}
