package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@ToString
@ApiModel("建筑")
public class Building implements Serializable {
    @ApiModelProperty(value = "id", position = 1)
    private Integer id;

    @ApiModelProperty(value = "站点id", position = 2, hidden = true)
    private Integer siteId;

    @ApiModelProperty(value = "小区", position = 54)
    private Integer communityId;

    @ApiModelProperty(value = "建筑名称", position = 3)
    private String name;

    @ApiModelProperty(value = "建筑地址", position = 4)
    private String address;

    @ApiModelProperty(value = "省", position = 9)
    private Integer province;

    @ApiModelProperty(value = "市", position = 10)
    private Integer city;

    @ApiModelProperty(value = "区", position = 11)
    private Integer region;

    @ApiModelProperty(value = "经度", position = 18)
    private Double longitude;

    @ApiModelProperty(value = "纬度", position = 19)
    private Double latitude;

    @ApiModelProperty(value = "状态", hidden = true, position = 49)
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", position = 50, hidden = true)
    private Date createDate;

    @ApiModelProperty(value = "创建人", position = 51, hidden = true)
    private String createBy = "system";

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", position = 52, hidden = true)
    private Date updateDate;

    @ApiModelProperty(value = "更新用户", position = 53, hidden = true)
    private String updateBy = "system";




}
