package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;

@Getter
@Setter
@NoArgsConstructor
@ApiModel("登录日志")
public class LoginLogs {
    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("站点id")
    private Integer siteId;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("地区")
    private String region;

    @ApiModelProperty("ip")
    private String ip;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("用户名称")
    private String username;

    public LoginLogs(Integer id, Integer siteId, Integer userId, String region, String ip, LocalDateTime createDate) {
        this.id = id;
        this.siteId = siteId;
        this.userId = userId;
        this.region = region;
        this.ip = ip;
        this.createDate = createDate;
    }
}
