package com.zoniot.ccrc.service;

import com.zoniot.ccrc.commom.model.BuildingData;
import com.zoniot.ccrc.commom.model.Pagination;
import com.zoniot.ccrc.dto.BuildingDto;
import com.zoniot.ccrc.dto.BuildingSelectDto;
import com.zoniot.ccrc.dto.BuildingSelectInfoDto;
import com.zoniot.ccrc.dto.LoginUser;
import com.zoniot.ccrc.entity.Building;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.time.LocalDateTime;
import java.util.List;

public interface BuildingService{

    int insert(Building building);

    int insertSelective(Building building);

    int insertList(List<Building> buildings);

    int updateByPrimaryKeySelective(Building building);

    List<BuildingSelectDto> select(LoginUser loginUser, Integer channelId);

    List<BuildingSelectDto> area(Integer sysId);

    Pagination<BuildingDto> getBuildingPage(Integer sysId, String buildingName, Integer province, Integer city, Integer region, Integer community, int pageNum, int pageSize);

    void add(Building building);

    BuildingDto getBuilding(Integer buildingId);

    void edit(Building building);

    void del(Integer buildingId);

    List<BuildingSelectDto> areaList(List<BuildingSelectInfoDto> buildingList);


    void syncBuilding(BuildingData buildingData);
}
