package com.zoniot.ccrc.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.zoniot.ccrc.commom.model.Pagination;
import com.zoniot.ccrc.commom.utils.HttpRequest;
import com.zoniot.ccrc.commom.utils.UserUtil;
import com.zoniot.ccrc.dao.LoginLogsMapper;
import com.zoniot.ccrc.dao.SiteUserMapper;
import com.zoniot.ccrc.dto.LoginUser;
import com.zoniot.ccrc.entity.LoginLogs;
import com.zoniot.ccrc.service.LoginLogsService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

import static com.google.common.collect.Lists.newArrayList;

@Slf4j
@Service
public class LoginLogsServiceImpl implements LoginLogsService {

    @Resource
    private LoginLogsMapper loginLogsMapper;
    @Resource
    private SiteUserMapper siteUserMapper;

    @Override
    public int insert(LoginLogs loginLogs){
        return loginLogsMapper.insert(loginLogs);
    }


    @Override
    public int insertSelective(LoginLogs loginLogs){
        return loginLogsMapper.insertSelective(loginLogs);
    }

    @Override
    public int insertList(List<LoginLogs> loginLogss){
        return loginLogsMapper.insertList(loginLogss);
    }

    @Override
    public int updateByPrimaryKeySelective(LoginLogs loginLogs){
        return loginLogsMapper.updateByPrimaryKeySelective(loginLogs);
    }

    @Override
    public Pagination<LoginLogs> getList(int pageNum, int pageSize) {
        LoginUser loginUser = UserUtil.getCurrentUser();
        List<LoginLogs> list = newArrayList();
        if(loginUser != null && loginUser.getIsSuperAdmin()==1){
            PageHelper.startPage(pageNum, pageSize);
            list = loginLogsMapper.getList(null);
        }else {
            PageHelper.startPage(pageNum, pageSize);
            list = loginLogsMapper.getList(loginUser.getSiteId());
        }
        return new Pagination<>(list);
    }

    @Async
    @Override
    public void AsyncInsertLoginLogs(LoginLogs loginLogs) {
        //太平洋IP地址库API接口获取IP地址
        String url = "http://whois.pconline.com.cn/ipJson.jsp?ip="+loginLogs.getId()+"&json=true";
        try {
            String jsonContent = HttpRequest.doGet(url);
            //log.info("获取IP地址 jsonContent : {}", jsonContent);
            JSONObject parse = (JSONObject) JSON.parse(jsonContent);
            String addr =  parse.getString("addr");
            if (addr != null && !StringUtils.equals("",addr)) {
                loginLogs.setRegion(parse.getString("addr"));
            }
        } catch (Exception e) {
            log.info("获取IP地址失败"+e.getMessage());
        }
        this.insertSelective(loginLogs);
    }
}
